Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.manage.jmx
Class BaseDynamicMBean

    java.lang.Object
      com.solarmetric.manage.jmx.BaseDynamicMBean

All Implemented Interfaces:
  DynamicMBean

    public abstract class BaseDynamicMBean

extends Object
implements DynamicMBean

Abstract implementation of a `BaseDynamicMBean`.

Constructor Summary
`protected` | `BaseDynamicMBean()`

Method Summary
`protected MBeanAttributeInfo[]` | `createMBeanAttributeInfo()`
`protected MBeanConstructorInfo[]` | `createMBeanConstructorInfo()`
`protected MBeanInfo` | `createMBeanInfo()`
`protected MBeanNotificationInfo[]` | `createMBeanNotificationInfo()`
`protected MBeanOperationInfo[]` | `createMBeanOperationInfo()`
`protected Method` | `findMethod(Class cls, String name, Class[] params)`
`Object` | `getAttribute(String attribute)`
`AttributeList` | `getAttributes(String[] attributes)`
`protected String` | `getMBeanClassName()`
`protected String` | `getMBeanDescription()`
`MBeanInfo` | `getMBeanInfo()`
`protected Object` | `getResource()`
`protected Object` | `invoke(String name, Class[] params, Object[] args)`
`Object` | `invoke(String method, Object[] arguments, String[] params)`
`protected Object` | `invokeMethod(Method method, Object resource, Object[] args)`
`void` | `setAttribute(Attribute attribute)`
`AttributeList` | `setAttributes(AttributeList attributes)`
`protected void` | `setMBeanInfo(MBeanInfo info)`
`void` | `setResource(Object resource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseDynamicMBean

    protected BaseDynamicMBean()

Method Detail

### getAttribute

    public Object getAttribute(String attribute)
                        throws AttributeNotFoundException,
                               MBeanException,
                               ReflectionException

  Specified by:
    `getAttribute` in interface `DynamicMBean`
  Throws:
    `AttributeNotFoundException`
    `MBeanException`
    `ReflectionException`

### getAttributes

    public AttributeList getAttributes(String[] attributes)

  Specified by:
    `getAttributes` in interface `DynamicMBean`

### getMBeanInfo

    public MBeanInfo getMBeanInfo()

  Specified by:
    `getMBeanInfo` in interface `DynamicMBean`

### invoke

    public Object invoke(String method,
                         Object[] arguments,
                         String[] params)
                  throws MBeanException,
                         ReflectionException

  Specified by:
    `invoke` in interface `DynamicMBean`
  Throws:
    `MBeanException`
    `ReflectionException`

### setAttribute

    public void setAttribute(Attribute attribute)
                      throws AttributeNotFoundException,
                             InvalidAttributeValueException,
                             MBeanException,
                             ReflectionException

  Specified by:
    `setAttribute` in interface `DynamicMBean`
  Throws:
    `AttributeNotFoundException`
    `InvalidAttributeValueException`
    `MBeanException`
    `ReflectionException`

### setAttributes

    public AttributeList setAttributes(AttributeList attributes)

  Specified by:
    `setAttributes` in interface `DynamicMBean`

### invoke

    protected Object invoke(String name,
                            Class[] params,
                            Object[] args)
                     throws InvalidAttributeValueException,
                            MBeanException,
                            ReflectionException

  Throws:
    `InvalidAttributeValueException`
    `MBeanException`
    `ReflectionException`

### findMethod

    protected Method findMethod(Class cls,
                                String name,
                                Class[] params)
                         throws NoSuchMethodException

  Throws:
    `NoSuchMethodException`

### invokeMethod

    protected Object invokeMethod(Method method,
                                  Object resource,
                                  Object[] args)
                           throws IllegalAccessException,
                                  IllegalArgumentException,
                                  InvocationTargetException

  Throws:
    `IllegalAccessException`
    `IllegalArgumentException`
    `InvocationTargetException`

### getResource

    protected Object getResource()

### setResource

    public void setResource(Object resource)

### setMBeanInfo

    protected void setMBeanInfo(MBeanInfo info)

### createMBeanInfo

    protected MBeanInfo createMBeanInfo()

### createMBeanAttributeInfo

    protected MBeanAttributeInfo[] createMBeanAttributeInfo()

### createMBeanConstructorInfo

    protected MBeanConstructorInfo[] createMBeanConstructorInfo()

### createMBeanOperationInfo

    protected MBeanOperationInfo[] createMBeanOperationInfo()

### createMBeanNotificationInfo

    protected MBeanNotificationInfo[] createMBeanNotificationInfo()

### getMBeanClassName

    protected String getMBeanClassName()

### getMBeanDescription

    protected String getMBeanDescription()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.